

/**
 * @file obc_ipc.h
 *
 * @brief #TODO
 *
 */

#ifndef OBC_IPC_H
#define OBC_IPC_H

#include"exo_types.h"


int obc_prepare_ipc_msg(uint8 *tm_data, uint16 tm_data_len, uint16 tm_id, uint16 src_id);
int obc_send_ipc_msg(uint16_t msg_id, uint16 src_id);
int obc_send_ipc_msg_pld(uint16_t msg_id, uint8 dst_id, uint8_t *pld, uint16_t pld_size);
int obc_send_ipc_msg_pld_eps(uint8_t dst_id, uint8_t pld_info, uint8_t msg_id, uint8_t *pld, uint8_t pld_size);
void set_seq_no_radio_id(uint8_t* data);
void get_seq_no_radio_id(uint8_t* data);
void set_radio_module_id(uint8_t radio_id);
uint8 get_radio_module_id();
#endif /*OBC_IPC_H */

